org.eclipse.jetty.util.component

## Interface Container.Listener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  MBeanContainer

Enclosing class:
  Container

    public static interface Container.Listener
    extends EventListener

Listener. A listener for Container events.

### Method Summary

Methods
`void` `add(Container.Relationship relationship)`
`void` `addBean(Object bean)`
`void` `remove(Container.Relationship relationship)`
`void` `removeBean(Object bean)`

### Method Detail

#### addBean

    void addBean(Object bean)

#### removeBean

    void removeBean(Object bean)

#### add

    void add(Container.Relationship relationship)

#### remove

    void remove(Container.Relationship relationship)